javax.persistence

## Class OptimisticLockException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.OptimisticLockException

All Implemented Interfaces:
  java.io.Serializable

    public class OptimisticLockException
    extends PersistenceException

Thrown by the persistence provider when an optimistic locking conflict occurs. This exception may be thrown as part of an API call, a flush or at commit time. The current transaction, if one is active, will be marked for rollback.

See Also:
  `EntityManager.find(Class, Object, LockModeType)`, `EntityManager.find(Class, Object, LockModeType, java.util.Map)`, `EntityManager.lock(Object, LockModeType)`, `EntityManager.lock(Object, LockModeType, java.util.Map)`, Serialized Form
Since:
  Java Persistence 1.0

### Constructor Summary

Constructors
Constructor and Description
`OptimisticLockException()` Constructs a new `OptimisticLockException` exception with `null` as its detail message.
`OptimisticLockException(java.lang.Object entity)` Constructs a new `OptimisticLockException` exception with the specified entity.
`OptimisticLockException(java.lang.String message)` Constructs a new `OptimisticLockException` exception with the specified detail message.
`OptimisticLockException(java.lang.String message, java.lang.Throwable cause)` Constructs a new `OptimisticLockException` exception with the specified detail message and cause.
`OptimisticLockException(java.lang.String message, java.lang.Throwable cause, java.lang.Object entity)` Constructs a new `OptimisticLockException` exception with the specified detail message, cause, and entity.
`OptimisticLockException(java.lang.Throwable cause)` Constructs a new `OptimisticLockException` exception with the specified cause.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getEntity()` Returns the entity that caused this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OptimisticLockException

    public OptimisticLockException()

Constructs a new `OptimisticLockException` exception with `null` as its detail message.

#### OptimisticLockException

    public OptimisticLockException(java.lang.String message)

Constructs a new `OptimisticLockException` exception with the specified detail message.

Parameters:
  `message` - the detail message.

#### OptimisticLockException

    public OptimisticLockException(java.lang.String message,
                                   java.lang.Throwable cause)

Constructs a new `OptimisticLockException` exception with the specified detail message and cause.

Parameters:
  `message` - the detail message.
  `cause` - the cause.

#### OptimisticLockException

    public OptimisticLockException(java.lang.Throwable cause)

Constructs a new `OptimisticLockException` exception with the specified cause.

Parameters:
  `cause` - the cause.

#### OptimisticLockException

    public OptimisticLockException(java.lang.Object entity)

Constructs a new `OptimisticLockException` exception with the specified entity.

Parameters:
  `entity` - the entity.

#### OptimisticLockException

    public OptimisticLockException(java.lang.String message,
                                   java.lang.Throwable cause,
                                   java.lang.Object entity)

Constructs a new `OptimisticLockException` exception with the specified detail message, cause, and entity.

Parameters:
  `message` - the detail message.
  `cause` - the cause.
  `entity` - the entity.

### Method Detail

#### getEntity

    public java.lang.Object getEntity()

Returns the entity that caused this exception.

Returns:
  the entity.